#
# spec file for package python-distro
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%{!?license: %global license %doc}
%bcond_without test
Name:           python-distro
Version:        1.2.0
Release:        lp151.3.2
Summary:        Linux Distribution - a Linux OS platform information API
License:        Apache-2.0
Group:          Development/Languages/Python
Url:            https://github.com/nir0s/distro
Source:         https://files.pythonhosted.org/packages/source/d/distro/distro-%{version}.tar.gz
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  python-rpm-macros
# SECTION test
%if %{with test}
BuildRequires:  %{python_module pytest}
%endif
# /SECTION
BuildArch:      noarch

%python_subpackages

%description
distro (for: Linux Distribution) provides information about the Linux distribution it runs on, such as a reliable machine-readable ID, or version information.

It is a renewed alternative implementation for Python's original platform.linux_distribution function, but it also provides much more functionality which isn't necessarily Python bound like a command-line interface.

%prep
%setup -q -n distro-%{version}

%build
%python_build

%install
%python_install

%if %{with test}
%check
%python_exec setup.py test
%endif

%files %{python_files}
%defattr(-,root,root,-)
%doc CHANGES README.md README.rst
%python3_only %{_bindir}/distro
%{python_sitelib}/*
%%license LICENSE

%changelog
* Thu Feb  8 2018 rjschwei@suse.com
- Include in SLE 15 (FATE#324993, boo#997614))
* Sun Dec 24 2017 sebix+novell.com@sebix.at
- update to version 1.2.0:
  * Explicitly set Python versions for flake8 tests.
* Fri Dec  1 2017 sebix+novell.com@sebix.at
- update to version 1.1.0 / 1.0.5:
  * Include resources needed for tests and docs in source tarballs
* Sat Jul 22 2017 sebix+novell.com@sebix.at
- initial package
